\begin{titlepage}
  \begin{center}
    \vspace*{1.7cm}
    \textsc{\LARGE \textbf{\univname}  }\\[ .5cm] % University name
    \textsc{\LARGE \textbf{\facname}   }\\[ .5cm] % Faculty name
    \textsc{\LARGE \textbf{\deptname}  }\\[6.5cm] % Department name

    {\Huge \textbf{BAKALÁŘSKÁ PRÁCE}} \\[9.5cm]

    \begin{flushleft}
      \textsc{\Large \textbf{Plzeň, \the\year \hspace*{7.5cm} \href{https://github.com/freed00m/}{\authornames}}}
    \end{flushleft}

  \end{center}
\end{titlepage}